Package org.apache.synapse.transport.netty.api.config

# Class SSLConfiguration.SSLConfigurationBuilder

java.lang.Object
org.apache.synapse.transport.netty.api.config.SSLConfiguration.SSLConfigurationBuilder

Enclosing class:
  `SSLConfiguration`

public static class SSLConfiguration.SSLConfigurationBuilder extends Object
Builder class for the SSLConfiguration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SSLConfigurationBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SSLConfiguration`
  `build()`
  `SSLConfiguration.SSLConfigurationBuilder`
  `clientAuthEl(String clientAuthEl)`
  `SSLConfiguration.SSLConfigurationBuilder`
  `handshakeTimeout(String handshakeTimeout)`
  `SSLConfiguration.SSLConfigurationBuilder`
  `httpsProtocolsEl(String httpsProtocolsEl)`
  `SSLConfiguration.SSLConfigurationBuilder`
  `keyStore(String keyStore)`
  `SSLConfiguration.SSLConfigurationBuilder`
  `preferredCiphersEl(String preferredCiphersEl)`
  `SSLConfiguration.SSLConfigurationBuilder`
  `revocationVerifier(String revocationVerifier)`
  `SSLConfiguration.SSLConfigurationBuilder`
  `sessionTimeout(String sessionTimeout)`
  `SSLConfiguration.SSLConfigurationBuilder`
  `sslProtocol(String sslProtocol)`
  `SSLConfiguration.SSLConfigurationBuilder`
  `trustStore(String trustStore)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SSLConfigurationBuilder

    public SSLConfigurationBuilder()

- ## Method Details

  - ### build

    public SSLConfiguration build()

  - ### keyStore

    public SSLConfiguration.SSLConfigurationBuilder keyStore(String keyStore)

  - ### trustStore

    public SSLConfiguration.SSLConfigurationBuilder trustStore(String trustStore)

  - ### clientAuthEl

    public SSLConfiguration.SSLConfigurationBuilder clientAuthEl(String clientAuthEl)

  - ### httpsProtocolsEl

    public SSLConfiguration.SSLConfigurationBuilder httpsProtocolsEl(String httpsProtocolsEl)

  - ### revocationVerifier

    public SSLConfiguration.SSLConfigurationBuilder revocationVerifier(String revocationVerifier)

  - ### sslProtocol

    public SSLConfiguration.SSLConfigurationBuilder sslProtocol(String sslProtocol)

  - ### preferredCiphersEl

    public SSLConfiguration.SSLConfigurationBuilder preferredCiphersEl(String preferredCiphersEl)

  - ### sessionTimeout

    public SSLConfiguration.SSLConfigurationBuilder sessionTimeout(String sessionTimeout)

  - ### handshakeTimeout

    public SSLConfiguration.SSLConfigurationBuilder handshakeTimeout(String handshakeTimeout)